Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_ESF_Reconnected_Command Class Template Reference

Implements a Command object that invokes the reconnected_i() method on the target, passing an argument of type Object. More...

`#include <ESF_Delayed_Command.h>`

Inheritance diagram for TAO_ESF_Reconnected_Command:

[legend]
Collaboration diagram for TAO_ESF_Reconnected_Command:

[legend]
List of all members.

## Public Methods
| TAO_ESF_Reconnected_Command (Target *target, Object *object)
| constructor... More...
virtual int | execute (void *arg)
| The callback method, if the argument is not nil it is interpreted as a CORBA::Environment. More...
## Private Attributes
Target * | target_
| The target. More...
Object * | object_
| The argument. More...

## Detailed Description

### template<class Target, class Object>
class TAO_ESF_Reconnected_Command< Target, Object >

Implements a Command object that invokes the reconnected_i() method on the target, passing an argument of type Object.

## Memory Managment

It does not assume ownership of Object nor the Target arguments. Usually allocated from the heap or an allocator; but it is not self-managed.

## Locking

No provisions for locking, access must be serialized externally.

## Constructor & Destructor Documentation

template<class Target, class Object>
TAO_ESF_Reconnected_Command< Target, Object >::TAO_ESF_Reconnected_Command | ( | Target * | target,
|  | Object * | object
| ) |

| constructor...

## Member Function Documentation

template<class Target, class Object>
int TAO_ESF_Reconnected_Command< Target, Object >::execute | ( | void * | arg | ) | `[virtual]`

| The callback method, if the argument is not nil it is interpreted as a CORBA::Environment. Reimplemented from ACE_Command_Base.

## Member Data Documentation

template<class Target, class Object>
Object* TAO_ESF_Reconnected_Command::object_`[private]`

| The argument.

template<class Target, class Object>
Target* TAO_ESF_Reconnected_Command::target_`[private]`

| The target.

The documentation for this class was generated from the following files:

- ESF_Delayed_Command.h
- ESF_Delayed_Command.cpp
- ESF_Delayed_Command.i